# Method: installer.generateSecret

- [HTTP request](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer/generateSecret#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer/generateSecret#body.request_body)
- [Response body](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer/generateSecret#body.response_body)
  - [JSON representation](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer/generateSecret#body.GenerateSecretResponse.SCHEMA_REPRESENTATION)
- [Authorization Scopes](https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer/generateSecret#body.aspect)

Generates a secret to be used with the `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer/validate#spectrum.sas.portal.v1alpha1.DeviceManager.ValidateInstaller`.

### HTTP request

`POST https://sasportal.googleapis.com/v1alpha1/installer:generateSecret`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:
Response for `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer/generateSecret#spectrum.sas.portal.v1alpha1.DeviceManager.GenerateSecret`.

| JSON representation |
|---|
| ``` { "secret": string } ``` |

| Fields ||
|---|---|
| `secret` | `string` The secret generated by the string and used by `https://developers.google.com/spectrum-access-system/reference/rest/v1alpha1/installer/validate#spectrum.sas.portal.v1alpha1.DeviceManager.ValidateInstaller`. |

### Authorization Scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/sasportal`